FORMAT: 1A

# Group Vectorapi
Group of all vectorapi-related resources.

## Pricing Tiers

Each of pricing scheme may have multiple pricing tiers. Pricing tiers of pricing schemes differs with product type (Audio, Video or Movie) as well as with schema level (release or track).
One particular pricing tier may deal with multiple countries and product price may vary for different territory. 

## Index [/vectorapi/pricingtier/index{?limit,access_token}]

### Index [GET]

+ Parameters

    + limit  (number, `2`)
    + access_token (varchar, `some token`)
  
+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "pricingtier/index?params=vectorapi&pricingtier&index&json&2&<some_token>",
    "response": {
      "pricingTier": [
        {
          "pricingTierId": 1,
          "priceCode": "34",
          "pricingTier": "Front One"
        },
        {
          "pricingTierId": 2,
          "priceCode": "3",
          "pricingTier": "Mid/Front"
        }
      ]
    }
  }
}

+ **Other Optional Parameters**

    + Optional Parameters : limit, offset, pageNumber, totalRecords
    + Sort Options : columnName, orderBy
    + Parameter options (filter): pricingSchemeId

## GET [/vectorapi/pricingtier/get{?id,access_token}]

+ Parameters

    + id (required,number, `265`) ... An unique identifier of the genre.
    + access_token (required,varchar, `some token`)


### Get [GET]

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)
    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "pricingtier/get?params=vectorapi&pricingtier&get&json&265&<some_token>",
    "response": {
      "pricingTier": {
        "pricingTierId": 265,
        "priceCode": "TR7",
        "pricingTier": "7 Track",
        "DmsMasterPricingScheme": {
          "pricingSchemeId": 18,
          "customerMasterMasterId": 153,
          "pricingScheme": "Musicload",
          "productTypeId": 1,
          "defaultPricingTier": 127,
          "schemeLevel": "track",
          "pricingSchemeTerritory": [
            {
              "id": 514,
              "country": {
                "id": 16,
                "name": "Austria",
                "abbrivation": "AT",
                "continent": "Europe"
              }
            },
            {
              "id": 515,
              "country": {
                "id": 4,
                "name": "Germany",
                "abbrivation": "DE",
                "continent": "Europe"
              }
            },
            {
              "id": 516,
              "country": {
                "id": 14,
                "name": "Greece",
                "abbrivation": "GR",
                "continent": "Europe"
              }
            },
            {
              "id": 517,
              "country": {
                "id": 11,
                "name": "Switzerland",
                "abbrivation": "CH",
                "continent": "Europe"
              }
            },
            {
              "id": 518,
              "country": {
                "id": 3,
                "name": "United Kingdom",
                "abbrivation": "GB",
                "continent": "Europe"
              }
            }
          ]
        }
      }
    }
  }
}

## POST [/vectorapi/pricingtier/post{?data,access_token}]

### Post [POST]

+ Parameters

    + data (varchar, `{"pricingTier":"Mid Front Standard22","pricingSchemeId":22,"priceCode":"FRONTLINE"}`)
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "pricingtier/post?params=vectorapi&pricingtier&post&json&{\"pricingTier\":\"Mid Front Standard12\",\"pricingSchemeId\":22,\"priceCode\":\"FRONTLINE\"}&<some_token>",
    "response": {
      "pricingTierId": 278
    }
  }
}

## PUT [/vectorapi/pricingtier/put{?data,access_token}]

### Put [POST]

+ Parameters

    + data (varchar, `{"pricingTierId":278,"pricingTier":"Catalog","priceCode":"CATALOG"}`)
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "pricingtier/put?params=vectorapi&pricingtier&put&json&{\"pricingTierId\":278,\"pricingTier\":\"Catalog\",\"priceCode\":\"CATALOG\"}&<some_token>",
    "response": {
      "pricingTierId": 278
    }
  }
}

## Delete [/vectorapi/pricingtier/delete{?id,access_token}]

### Delete [GET]

+ Parameters

    + id (required, varchar, `277`)
    + access_token (required ,varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "pricingtier/delete?params=vectorapi&pricingtier&delete&json&277&<some_token>",
    "response": {
      "pricingTier": true
    }
  }
}
